%global upname  window-picker-applet

Name:		gnome-applet-window-picker
Version:	0.5.6
Release:	2%{?dist}
Summary:	Window picker applet for GNOME

Group:		User Interface/Desktops
License:	GPLv3
URL:		https://launchpad.net/window-picker-applet
Source0:        http://launchpad.net/window-picker-applet/0.5/ubuntu-9.10-ui-freeze/+download/window-picker-applet-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gnome-panel-devel
BuildRequires:	libwnck-devel
# in F-11 and above, pulled in by libwnck-devel through pkgconfig
BuildRequires:  libXres-devel
BuildRequires:  intltool
Requires(pre):   GConf2
Requires(post):  GConf2
Requires(preun): GConf2

# upstream name; we provide it to help people installing with yum
Provides:       %{upname} = %{version}-%{release}

%description
A gnome-panel applet that displays open windows as icons on the panel,
and has integrated window title-bar functionality. Optimised for use
on netbook-size screens.

%prep
%setup -q -n %{upname}-%{version}


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{upname}


%pre
if [ "$1" -gt 1 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
	    %{_sysconfdir}/gconf/schemas/%{upname}.schemas >/dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	    %{_sysconfdir}/gconf/schemas/%{upname}.schemas > /dev/null || :

%preun
if [ "$1" -eq 0 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
	    %{_sysconfdir}/gconf/schemas/%{upname}.schemas > /dev/null || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{upname}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%config(noreplace) %{_sysconfdir}/gconf/schemas/%{upname}.schemas
%{_libdir}/bonobo/servers/GNOME_WindowPicker.server
%{_libexecdir}/%{upname}

%changelog
* Mon Sep 14 2009 Michel Salim <salimma@fedoraproject.org> - 0.5.6-2
- Rename to gnome-applet-window-picker, in keeping with Fedora naming conventions

* Mon Sep 14 2009 Michel Salim <salimma@fedoraproject.org> - 0.5.6-1
- Update to 0.5.6

* Sat Apr 18 2009 Michel Salim <salimma@fedoraproject.org> - 0.4.23-1
- Initial package
